v1/ielts/evaluation
Submit a request for evaluation directly by providing questions and respective answers in a json format. The API generates an evaluation report based on the provided data, and returns an acknowledgment along with an evaluation ID.
curl --request POST \
--url https://api-staging.crazygoldfish.com/v1/ielts/evaluation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'accept: <accept>' \
--data '
{
"client_id": "12345ABC",
"student_id": "11223STU",
"exam_type": "AC",
"student_name": "John Doe",
"evaluation_text": [
{
"question_id": "q1",
"question_number": "1",
"question_section": "writing",
"question_type": "IE-AC-W-01",
"question_text": "Summarize the points made in the lecture.",
"answer_text": "The lecture discusses the various impacts of climate change.",
"question_multimedia_url": "<string>",
"answer_multimedia_url": "<string>",
"custom_rubric_id": "1234"
}
],
"institution_id": "67890XYZ",
"teacher_id": "98765LMN",
"parent_id": "54321PQR",
"image_urls": [
"http://example.com/image1.jpg",
"http://example.com/image2.jpg"
]
}
'import requests
url = "https://api-staging.crazygoldfish.com/v1/ielts/evaluation"
payload = {
"client_id": "12345ABC",
"student_id": "11223STU",
"exam_type": "AC",
"student_name": "John Doe",
"evaluation_text": [
{
"question_id": "q1",
"question_number": "1",
"question_section": "writing",
"question_type": "IE-AC-W-01",
"question_text": "Summarize the points made in the lecture.",
"answer_text": "The lecture discusses the various impacts of climate change.",
"question_multimedia_url": "<string>",
"answer_multimedia_url": "<string>",
"custom_rubric_id": "1234"
}
],
"institution_id": "67890XYZ",
"teacher_id": "98765LMN",
"parent_id": "54321PQR",
"image_urls": ["http://example.com/image1.jpg", "http://example.com/image2.jpg"]
}
headers = {
"accept": "<accept>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
accept: '<accept>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
client_id: '12345ABC',
student_id: '11223STU',
exam_type: 'AC',
student_name: 'John Doe',
evaluation_text: [
{
question_id: 'q1',
question_number: '1',
question_section: 'writing',
question_type: 'IE-AC-W-01',
question_text: 'Summarize the points made in the lecture.',
answer_text: 'The lecture discusses the various impacts of climate change.',
question_multimedia_url: '<string>',
answer_multimedia_url: '<string>',
custom_rubric_id: '1234'
}
],
institution_id: '67890XYZ',
teacher_id: '98765LMN',
parent_id: '54321PQR',
image_urls: ['http://example.com/image1.jpg', 'http://example.com/image2.jpg']
})
};
fetch('https://api-staging.crazygoldfish.com/v1/ielts/evaluation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "200",
"message": "Evaluation request submitted successfully",
"data": [
{
"evaluation_id": "<string>"
}
]
}{
"error": "Invalid request body"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json Body
Unique identifier assigned to the client accessing the API.
"12345ABC"
Identifies the specific student for whom the evaluation is being requested.
"11223STU"
Type of IELTS exam (AC for Academic, GT for General Training).
AC, GT "AC"
Name of the student for whom the evaluation is being requested.
"John Doe"
List of evaluation questions and answers.
Show child attributes
Show child attributes
Unique identifier of the institution (optional).
"67890XYZ"
Identifier of the teacher (optional).
"98765LMN"
Unique identifier of the parent associated with the student (optional).
"54321PQR"
List of URLs pointing to the images of the evaluated work (optional).
[ "http://example.com/image1.jpg", "http://example.com/image2.jpg" ]
Was this page helpful?
